Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.control
Class JRBaseMultiActionController

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.support.WebContentGenerator
                  org.springframework.web.servlet.mvc.AbstractController
                      org.springframework.web.servlet.mvc.multiaction.MultiActionController
                          com.jaspersoft.jasperserver.war.control.JRBaseMultiActionController

All Implemented Interfaces:
  org.springframework.context.ApplicationContextAware, org.springframework.web.context.ServletContextAware, org.springframework.web.servlet.mvc.Controller, org.springframework.web.servlet.mvc.LastModified

Direct Known Subclasses:
  JSCommonController, LoginController, OLAPController, OlapModelController, OlapViewListController

    public abstract class JRBaseMultiActionController

extends org.springframework.web.servlet.mvc.multiaction.MultiActionController

Version:
  $Id: JRBaseMultiActionController.java 8408 2007-05-29 23:29:12Z melih $
Author:
  aztec

Field Summary
`protected ObjectPermissionService` | `objPermService`
`protected RepositoryService` | `repository`
`protected UserAuthorityService` | `userAuthService`

Fields inherited from class org.springframework.web.servlet.mvc.multiaction.MultiActionController
`DEFAULT_COMMAND_NAME, LAST_MODIFIED_METHOD_SUFFIX, PAGE_NOT_FOUND_LOG_CATEGORY, pageNotFoundLogger`

Fields inherited from class org.springframework.web.servlet.support.WebContentGenerator
`METHOD_GET, METHOD_HEAD, METHOD_POST`

Fields inherited from class org.springframework.context.support.ApplicationObjectSupport
`logger`

Constructor Summary
`JRBaseMultiActionController()`

Method Summary
`protected java.util.List` | `getAllRoles()`
`protected java.util.List` | `getAllUsers()`
`ObjectPermissionService` | `getObjPermService()`
`protected ResourceLookup[]` | `getOlapUnits()`
`protected ReportUnit` | `getReportUnit(javax.servlet.http.HttpServletRequest req)`
`protected ReportUnit` | `getReportUnit(java.lang.String uri)`
`protected ResourceLookup[]` | `getReportUnits()`
`RepositoryService` | `getRepository()`
`UserAuthorityService` | `getUserAuthService()`
`void` | `setObjPermService(ObjectPermissionService objPermService)`
`void` | `setRepository(RepositoryService repository)`
`void` | `setUserAuthService(UserAuthorityService userAuthService)`

Methods inherited from class org.springframework.web.servlet.mvc.multiaction.MultiActionController
`bind, createBinder, getCommandName, getExceptionHandler, getLastModified, getMethodNameResolver, getValidators, handleNoSuchRequestHandlingMethod, handleRequestInternal, initBinder, initBinder, invokeNamedMethod, newCommandObject, setDelegate, setMethodNameResolver, setValidators`

Methods inherited from class org.springframework.web.servlet.mvc.AbstractController
`handleRequest, isSynchronizeOnSession, setSynchronizeOnSession`

Methods inherited from class org.springframework.web.servlet.support.WebContentGenerator
`applyCacheSeconds, applyCacheSeconds, cacheForSeconds, cacheForSeconds, checkAndPrepare, checkAndPrepare, getCacheSeconds, getSupportedMethods, isRequireSession, isUseCacheControlHeader, isUseExpiresHeader, preventCaching, setCacheSeconds, setRequireSession, setSupportedMethods, setUseCacheControlHeader, setUseExpiresHeader`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, isContextRequired, setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, initApplicationContext, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### repository

    protected RepositoryService repository

### userAuthService

    protected UserAuthorityService userAuthService

### objPermService

    protected ObjectPermissionService objPermService

Constructor Detail

### JRBaseMultiActionController

    public JRBaseMultiActionController()

Method Detail

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### getUserAuthService

    public UserAuthorityService getUserAuthService()

### setUserAuthService

    public void setUserAuthService(UserAuthorityService userAuthService)

### getObjPermService

    public ObjectPermissionService getObjPermService()

### setObjPermService

    public void setObjPermService(ObjectPermissionService objPermService)

### getReportUnits

    protected final ResourceLookup[] getReportUnits()

### getOlapUnits

    protected final ResourceLookup[] getOlapUnits()

### getReportUnit

    protected final ReportUnit getReportUnit(javax.servlet.http.HttpServletRequest req)

### getReportUnit

    protected final ReportUnit getReportUnit(java.lang.String uri)

### getAllRoles

    protected final java.util.List getAllRoles()

### getAllUsers

    protected final java.util.List getAllUsers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.